#pragma once
#include <AL/al.h>
#include "physics.h"

// Sound subsystem.
int sound_init(void);
void sound_exit(void);

// Sound manupulation functions.
ALuint sound_sndCreate(char* filename);
void sound_sndFree(const ALuint snd);

// Source manipulation function.
#define sound_initSource(s)		(alGenSources(1, &(s)))
#define sound_delSource(s)		(alDeleteSources(1, &(s))

